#include <stdio.h>
#include <math.h>

int main(void) {
    int a, b;
    scanf("%d", &a);
    scanf("%d", &b);
    int result = 0;
    for(int i = 0; ; i++) {
        if(a % 10 == b % 10) {
            result += a % 10 * 11 * pow(10, i);
            i++;
        } else {
            result += (a % 10 > b % 10 ? a % 10 : b % 10) * pow(10, i);
        }
        a /= 10;
        b /= 10;
        if(!a && !b) break;
    }
    printf("%d\n", result);
    return 0;
}